## List Page Shield Cookies `client.pageShield.cookies.list(CookieListParamsparams, RequestOptionsoptions?): SinglePage` **get** `/zones/{zone_id}/page_shield/cookies` Lists all cookies collected by Page Shield. ### Parameters - `params: CookieListParams` - `zone_id: string` Path param: Identifier - `direction?: "asc" | "desc"` Query param: The direction used to sort returned cookies.' - `"asc"` - `"desc"` - `domain?: string` Query param: Filters the returned cookies that match the specified domain attribute - `_export?: "csv"` Query param: Export the list of cookies as a file, limited to 50000 entries. - `"csv"` - `hosts?: string` Query param: Includes cookies that match one or more URL-encoded hostnames separated by commas. Wildcards are supported at the start and end of each hostname to support starts with, ends with and contains. If no wildcards are used, results will be filtered by exact match - `http_only?: boolean` Query param: Filters the returned cookies that are set with HttpOnly - `name?: string` Query param: Filters the returned cookies that match the specified name. Wildcards are supported at the start and end to support starts with, ends with and contains. e.g. session* - `order_by?: "first_seen_at" | "last_seen_at"` Query param: The field used to sort returned cookies. - `"first_seen_at"` - `"last_seen_at"` - `page?: string` Query param: The current page number of the paginated results. We additionally support a special value "all". When "all" is used, the API will return all the cookies with the applied filters in a single page. This feature is best-effort and it may only work for zones with a low number of cookies - `page_url?: string` Query param: Includes connections that match one or more page URLs (separated by commas) where they were last seen Wildcards are supported at the start and end of each page URL to support starts with, ends with and contains. If no wildcards are used, results will be filtered by exact match - `path_?: string` Query param: Filters the returned cookies that match the specified path attribute - `per_page?: number` Query param: The number of results per page. - `same_site?: "lax" | "strict" | "none"` Query param: Filters the returned cookies that match the specified same_site attribute - `"lax"` - `"strict"` - `"none"` - `secure?: boolean` Query param: Filters the returned cookies that are set with Secure - `type?: "first_party" | "unknown"` Query param: Filters the returned cookies that match the specified type attribute - `"first_party"` - `"unknown"` ### Returns - `CookieListResponse` - `id: string` Identifier - `first_seen_at: string` - `host: string` - `last_seen_at: string` - `name: string` - `type: "first_party" | "unknown"` - `"first_party"` - `"unknown"` - `domain_attribute?: string` - `expires_attribute?: string` - `http_only_attribute?: boolean` - `max_age_attribute?: number` - `page_urls?: Array` - `path_attribute?: string` - `same_site_attribute?: "lax" | "strict" | "none"` - `"lax"` - `"strict"` - `"none"` - `secure_attribute?: boolean` ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiEmail: process.env['CLOUDFLARE_EMAIL'], // This is the default and can be omitted apiKey: process.env['CLOUDFLARE_API_KEY'], // This is the default and can be omitted }); // Automatically fetches more pages as needed. for await (const cookieListResponse of client.pageShield.cookies.list({ zone_id: '023e105f4ecef8ad9ca31a8372d0c353', })) { console.log(cookieListResponse.id); } ``` #### Response ```json { "result": [ { "id": "023e105f4ecef8ad9ca31a8372d0c353", "first_seen_at": "2021-08-18T10:51:08Z", "host": "blog.cloudflare.com", "last_seen_at": "2021-09-02T09:57:54Z", "name": "session_id", "type": "first_party", "domain_attribute": "cloudflare.com", "expires_attribute": "2021-10-02T09:57:54Z", "http_only_attribute": true, "max_age_attribute": 3600, "page_urls": [ "blog.cloudflare.com/page1", "blog.cloudflare.com/page2" ], "path_attribute": "/", "same_site_attribute": "strict", "secure_attribute": true } ], "result_info": { "count": 1, "page": 1, "per_page": 20, "total_count": 2000, "total_pages": 100 }, "success": true, "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ] } ```